org.apache.sling.event.jobs

## Enum Job.JobState

- java.lang.Object
- - java.lang.Enum<Job.JobState>
  - - org.apache.sling.event.jobs.Job.JobState

All Implemented Interfaces:
  Serializable, Comparable<Job.JobState>

Enclosing interface:
  Job

    public static enum Job.JobState
    extends Enum<Job.JobState>

The current job state.

Since:
  1.3

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ACTIVE`
`DROPPED`
`ERROR`
`GIVEN_UP`
`QUEUED`
`STOPPED`
`SUCCEEDED`

### Method Summary

All Methods Static Methods Concrete Methods
`static Job.JobState` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Job.JobState[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### QUEUED

    public static final Job.JobState QUEUED

#### ACTIVE

    public static final Job.JobState ACTIVE

#### SUCCEEDED

    public static final Job.JobState SUCCEEDED

#### STOPPED

    public static final Job.JobState STOPPED

#### GIVEN_UP

    public static final Job.JobState GIVEN_UP

#### ERROR

    public static final Job.JobState ERROR

#### DROPPED

    public static final Job.JobState DROPPED

### Method Detail

#### values

    public static Job.JobState[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Job.JobState c : Job.JobState.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Job.JobState valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null